cURL
curl --request GET \
--url https://api.maesn.dev/accounting/bankAccounts \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/bankAccounts"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/bankAccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "5570042",
"balance": 100,
"bankName": "F. van Lanschot Bankiers",
"bic": "SNSBNL2A",
"createdDate": "2025-01-01T00:00:00Z",
"currency": "EUR",
"description": "Business Savings Account",
"fileType": "CSV",
"iban": "NL46INGB3591831883",
"name": "Business Bank",
"number": "0150",
"system": "Internal",
"status": "ACTIVE",
"type": "GIRO",
"updatedDate": "2025-02-01T00:00:00Z"
}
]
}Bank Accounts
Get bank accounts
GET
/
accounting
/
bankAccounts
cURL

bexio
bexio

sevdesk
sevdesk
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
boolean
string
number
string
string
string
string
Available options:
CSV, MT940,string
string
string
enum
Available options:
ACTIVE, ARCHIVEDstring
Available options:
PAYMENT_PROVIDER, CURRENT_ASSETstring
Headers
API key
Example:
"example value"
Account key
Example:
"example value"
Query Parameters
Available options:
5, 10, 20, 50, 100 Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
[
{
"id": "5570042",
"balance": 100,
"bankName": "F. van Lanschot Bankiers",
"bic": "SNSBNL2A",
"createdDate": "2025-01-01T00:00:00Z",
"currency": "EUR",
"description": "Business Savings Account",
"fileType": "CSV",
"iban": "NL46INGB3591831883",
"name": "Business Bank",
"number": "0150",
"system": "Internal",
"status": "ACTIVE",
"type": "GIRO",
"updatedDate": "2025-02-01T00:00:00Z"
}
]
Last modified on July 10, 2026
Was this page helpful?
⌘I